[listing]

nemovitost_typ.column = 'propertyType'
nemovitost_typ.type = 'string'
nemovitost_typ.unset = 'inList<@nemovitost_typ, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11> ? @null : @this'
nemovitost_typ.convert.1 = 'SERVICE_OBJECTS'
nemovitost_typ.convert.2 = 'inList<@nemovitost_ucel_budovy, 1, 2, 3, 5> ? SERVICE_OBJECTS : OBJECTS_FOR_BUSINESS_AND_SERVICES'
nemovitost_typ.convert.3 = 'inList<@nemovitost_druh_pozemku, 1, 2, 7> ? BUILDING_SITES : FARM_LANDS'
nemovitost_typ.convert.4 = 'APARTMENTS'
nemovitost_typ.convert.5 = 'OTHER_PREMISES'
nemovitost_typ.convert.6 = 'OBJECTS_FOR_LIVING_AND_RECREATION'
nemovitost_typ.convert.7 = 'OBJECTS_FOR_BUSINESS_AND_SERVICES'
nemovitost_typ.convert.8 = 'OBJECTS_FOR_BUSINESS_AND_SERVICES'
nemovitost_typ.convert.9 = 'BUSINESS_PREMISES'
nemovitost_typ.convert.10 = 'OBJECTS_FOR_LIVING_AND_RECREATION'
nemovitost_typ.convert.11 = 'OTHER_PREMISES'

virtualProperty.column = 'propertySubType'
virtualProperty.type = 'string'
virtualProperty.unset = 'inList<@nemovitost_typ, 1, 5, 6, 7, 8, 10, 11> ? @null : @nemovitost_typ'
virtualProperty.value = '@nemovitost_typ'
virtualProperty.convert.1 = 'BREEDINGOBJCT'
virtualProperty.convert.5 = 'HISTORYOBJCT'
virtualProperty.convert.6 = 'FAMILYHS'
virtualProperty.convert.7 = '@nemovitost_typ_zarizeni == 3 ? RESTAURANT : HOTELPENSION'
virtualProperty.convert.8 = 'RENTALHS'
virtualProperty.convert.10 = 'COTTAGEHS'
virtualProperty.convert.11 = '@nemovitost_poloha_objektu == 4 ? SINGLEGARAGE : BARNGARAGE'

nemovitost_ucel_budovy.column = 'propertySubType'
nemovitost_ucel_budovy.type = 'string'
nemovitost_ucel_budovy.unset = 'inList<@nemovitost_typ, 2> ? @null : @this'
nemovitost_ucel_budovy.convert.1 = 'STORAGEOBJCT'
nemovitost_ucel_budovy.convert.2 = 'PRODUCOBJCT'
nemovitost_ucel_budovy.convert.3 = 'SHOPPINSPACE'
nemovitost_ucel_budovy.convert.4 = 'SHOPPINSPACE'
nemovitost_ucel_budovy.convert.5 = 'OTHERSEROBJCT'
nemovitost_ucel_budovy.convert.6 = 'OTHERBUSSER'
nemovitost_ucel_budovy.convert.7 = 'OFFICEHS'

nemovitost_druh_pozemku.column = 'propertySubType'
nemovitost_druh_pozemku.type = 'string'
nemovitost_druh_pozemku.unset = 'inList<@nemovitost_typ, 3> ? @null : @this'
nemovitost_druh_pozemku.value = '@nemovitost_druh_pozemku'
nemovitost_druh_pozemku.convert.1 = 'COMMZONE'
nemovitost_druh_pozemku.convert.2 = 'RESIDENLOT'
nemovitost_druh_pozemku.convert.3 = 'ARABLELAND'
nemovitost_druh_pozemku.convert.4 = 'FORESTLAND'
nemovitost_druh_pozemku.convert.5 = 'MEADOW'
nemovitost_druh_pozemku.convert.6 = 'GARDEN'
nemovitost_druh_pozemku.convert.7 = 'OTHERBUSITE'

nemovitost_dispozice.column = 'propertySubType'
nemovitost_dispozice.type = 'string'
nemovitost_dispozice.unset = 'inList<@nemovitost_typ, 4> ? @null : @this'
nemovitost_dispozice.convert.1 = 'GARSONIER'
nemovitost_dispozice.convert.2 = '1BEDAPART'
nemovitost_dispozice.convert.3 = '2BEDAPART'
nemovitost_dispozice.convert.4 = '3BEDAPART'
nemovitost_dispozice.convert.5 = '4BEDAPART'
nemovitost_dispozice.convert.6 = '5BEDAPART'
nemovitost_dispozice.convert.7 = '6BEDAPART'
nemovitost_dispozice.convert.8 = '7BEDAPART'
nemovitost_dispozice.convert.9 = '1BEDAPART'
nemovitost_dispozice.convert.10 = '2BEDAPART'
nemovitost_dispozice.convert.11 = '3BEDAPART'
nemovitost_dispozice.convert.12 = '4BEDAPART'
nemovitost_dispozice.convert.13 = '5BEDAPART'
nemovitost_dispozice.convert.14 = '6BEDAPART'
nemovitost_dispozice.convert.15 = '7BEDAPART'
nemovitost_dispozice.convert.16 = 'OTHERAPART'
nemovitost_dispozice.convert.17 = 'OTHERAPART'

nemovitost_druh_prostor.column = 'propertySubType'
nemovitost_druh_prostor.type = 'string'
nemovitost_druh_prostor.unset = 'inList<@nemovitost_typ, 9> ? @null : @this'
nemovitost_druh_prostor.value = '@nemovitost_druh_prostor'
nemovitost_druh_prostor.convert.1 = 'OFFICES'
nemovitost_druh_prostor.convert.2 = 'BUSINPREM'
nemovitost_druh_prostor.convert.3 = 'OTHERBUSPREM'
nemovitost_druh_prostor.convert.4 = 'OTHERBUSPREM'
nemovitost_druh_prostor.convert.5 = 'OTHERBUSPREM'

containsFloorPlan.column = 'containsFloorPlan'
containsFloorPlan.type = 'string'
containsFloorPlan.value = 'false'

providePrice.column = 'providePrice'
providePrice.type = 'string'
providePrice.value = 'true'

providePartOfCommission.column = 'providePartOfCommission'
providePartOfCommission.type = 'string'
providePartOfCommission.value = 'true'

nemovitost_datum_nastehovani.column = 'propertyAvailableFrom'
nemovitost_datum_nastehovani.type = 'string'
nemovitost_datum_nastehovani.unset = '"@this" != "0000-00-00" ? @this : date<c, @this>'
nemovitost_datum_nastehovani.value = 'date<c, @this>' ; 'c' je format pro ISO 8601

nemovitost_cena_prodej.column = 'price'
nemovitost_cena_prodej.type = 'float'
nemovitost_cena_prodej.value = '@zakazka_typ == 1 ? @this : @nemovitost_cena_pronajem'

nemovitost_cena_poznamka.column = 'noteToPrice'
nemovitost_cena_poznamka.type = 'string'
nemovitost_cena_poznamka.unset = 'empty<@this> ? @null : @this'

zakazka_typ_smlouvy.column = 'exclusive'
zakazka_typ_smlouvy.type = 'string'
zakazka_typ_smlouvy.value = '@this == 10 ? true : false'

kod.column = 'adReference'
kod.type = 'string'

cena_jednotka.column = 'priceMeasure'
cena_jednotka.type = 'string'
cena_jednotka.value = '@zakazka_typ == 1 ? @nemovitost_cena_prodej_jednotka : @nemovitost_cena_pronajem_jednotka'
cena_jednotka.convert.1 = 'EUR'
cena_jednotka.convert.2 = 'EUR_MONTH'
cena_jednotka.convert.3 = 'EUR_M2'
cena_jednotka.convert.4 = 'EUR_M2_MONTH'
cena_jednotka.convert.5 = 'EUR_M2_YEAR'
cena_jednotka.convert.6 = 'EUR_YEAR'

zakazka_typ.column = 'transactionType'
zakazka_typ.type = 'string'
zakazka_typ.unset = 'inList<@this, 1, 2> ? @null : @this'
zakazka_typ.convert.1 = 'SALE'
zakazka_typ.convert.2 = 'HIREOUT'

zakazka_stav.column = 'propertyState'
zakazka_stav.type = 'string'
zakazka_stav.unset = 'inList<@this, 20, 30> ? @null : @this'
zakazka_stav.convert.20 = 'VALREC'
zakazka_stav.convert.30 = 'RESERV'

nemovitost_rok_rekonstrukce.column = 'yearOfLastReconstruction'
nemovitost_rok_rekonstrukce.table = 'characteristics'
nemovitost_rok_rekonstrukce.type = 'int'
nemovitost_rok_rekonstrukce.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_rok_rekonstrukce.unset.1 = 'inList<@propertyType, BUILDING_SITES, FARM_LANDS> ? @this : @null'

nemovitost_plocha_zastavena.column = 'groundOfCovarage'
nemovitost_plocha_zastavena.table = 'characteristics'
nemovitost_plocha_zastavena.type = 'float'
nemovitost_plocha_zastavena.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_plocha_zastavena.unset.1 = 'inList<@propertyType, OBJECTS_FOR_BUSINESS_AND_SERVICES, SERVICE_OBJECTS, OTHER_PREMISES> ? @null : @this'

nemovitost_plocha_obestavena.column = 'bulkOfBuiding'
nemovitost_plocha_obestavena.table = 'characteristics'
nemovitost_plocha_obestavena.type = 'float'
nemovitost_plocha_obestavena.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_plocha_obestavena.unset.1 = 'inList<@propertyType, OBJECTS_FOR_LIVING_AND_RECREATION, OBJECTS_FOR_BUSINESS_AND_SERVICES, SERVICE_OBJECTS, OTHER_PREMISES> ? @null : @this'

nemovitost_terasa.column = 'terrace'
nemovitost_terasa.table = 'characteristics'
nemovitost_terasa.type = 'string'
nemovitost_terasa.unset.0 = '"@this" == -1 || "@this" == "" ? @this : @null'
nemovitost_terasa.unset.1 = 'inList<@propertyType, APARTMENTS, OBJECTS_FOR_LIVING_AND_RECREATION, OBJECTS_FOR_BUSINESS_AND_SERVICES, OTHER_PREMISES> ? @null : @this'
nemovitost_terasa.convert.0 = 'false'
nemovitost_terasa.convert.1 = 'true'

nemovitost_terasa_plocha.column = 'terraceArea'
nemovitost_terasa_plocha.table = 'characteristics'
nemovitost_terasa_plocha.type = 'float'
nemovitost_terasa_plocha.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_terasa_plocha.unset.1 = 'inList<@propertyType, APARTMENTS, OBJECTS_FOR_LIVING_AND_RECREATION, OBJECTS_FOR_BUSINESS_AND_SERVICES, OTHER_PREMISES> ? @null : @this'

nemovitost_lodzie.column = 'loggia'
nemovitost_lodzie.table = 'characteristics'
nemovitost_lodzie.type = 'string'
nemovitost_lodzie.unset.0 = '"@this" == -1 || "@this" == "" ? @this : @null'
nemovitost_lodzie.unset.1 = 'inList<@propertyType, APARTMENTS> ? @null : @this'
nemovitost_lodzie.convert.0 = 'false'
nemovitost_lodzie.convert.1 = 'true'

nemovitost_lodzie_plocha.column = 'loggiaArea'
nemovitost_lodzie_plocha.table = 'characteristics'
nemovitost_lodzie_plocha.type = 'float'
nemovitost_lodzie_plocha.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_lodzie_plocha.unset.1 = 'inList<@propertyType, APARTMENTS> ? @null : @this'

nemovitost_balkon.column = 'balcony'
nemovitost_balkon.table = 'characteristics'
nemovitost_balkon.type = 'string'
nemovitost_balkon.unset.0 = '"@this" == -1 || "@this" == "" ? @this : @null'
nemovitost_balkon.unset.1 = 'inList<@propertyType, APARTMENTS> ? @null : @this'
nemovitost_balkon.convert.0 = 'false'
nemovitost_balkon.convert.1 = 'true'

nemovitost_balkon_plocha.column = 'balconyArea'
nemovitost_balkon_plocha.table = 'characteristics'
nemovitost_balkon_plocha.type = 'float'
nemovitost_balkon_plocha.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_balkon_plocha.unset.1 = 'inList<@propertyType, APARTMENTS> ? @null : @this'

plocha_celkova.column = 'entireFloorArea'
plocha_celkova.table = 'characteristics'
plocha_celkova.type = 'float'
plocha_celkova.value = '@nemovitost_typ'
plocha_celkova.convert.1 = '@nemovitost_plocha_uzitna'
plocha_celkova.convert.2 = '@nemovitost_plocha_celkova'
plocha_celkova.convert.3 = '@nemovitost_plocha_celkova'
plocha_celkova.convert.4 = '@nemovitost_plocha_celkova'
plocha_celkova.convert.5 = '@nemovitost_plocha_uzitna'
plocha_celkova.convert.6 = '@nemovitost_plocha_uzitna'
plocha_celkova.convert.7 = '@nemovitost_plocha_uzitna'
plocha_celkova.convert.8 = '@nemovitost_plocha_uzitna'
plocha_celkova.convert.9 = '@nemovitost_plocha_kancelari'
plocha_celkova.convert.10 = '@nemovitost_plocha_uzitna'
plocha_celkova.convert.11 = '@nemovitost_plocha_zastavena'

nemovitost_rok_vystavby.column = 'yearOfConstruction'
nemovitost_rok_vystavby.table = 'characteristics'
nemovitost_rok_vystavby.type = 'int'
nemovitost_rok_vystavby.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_rok_vystavby.unset.1 = 'inList<@propertyType, BUILDING_SITES, FARM_LANDS> ? @this : @null'

nemovitost_plocha_skladu.column = 'storageSpace'
nemovitost_plocha_skladu.table = 'characteristics'
nemovitost_plocha_skladu.type = 'float'
nemovitost_plocha_skladu.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_plocha_skladu.unset.1 = 'inList<@propertyType, SERVICE_OBJECTS, PREMISES> ? @null : @this'

nemovitost_plocha_vyrobni.column = 'productionArea'
nemovitost_plocha_vyrobni.table = 'characteristics'
nemovitost_plocha_vyrobni.type = 'float'
nemovitost_plocha_vyrobni.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_plocha_vyrobni.unset.1 = 'inList<@propertyType, SERVICE_OBJECTS, PREMISES> ? @null : @this'

nemovitost_pocet_bytu_volnych.column = 'numberOfVacationFlats'
nemovitost_pocet_bytu_volnych.table = 'characteristics'
nemovitost_pocet_bytu_volnych.type = 'int'
nemovitost_pocet_bytu_volnych.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_pocet_bytu_volnych.unset.1 = 'inList<@propertyType, SERVICE_OBJECTS, OTHER_PREMISES> ? @null : @this'

nemovitost_pocet_kancelari.column = 'numberOfRooms'
nemovitost_pocet_kancelari.table = 'characteristics'
nemovitost_pocet_kancelari.type = 'int'
nemovitost_pocet_kancelari.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_pocet_kancelari.unset.1 = 'inList<@propertyType, BUSINESS_PREMISES, PREMISES> ? @null : @this'

pocet_mist_k_parkovani.column = 'numberOfParkingSpots'
pocet_mist_k_parkovani.table = 'characteristics'
pocet_mist_k_parkovani.type = 'int'
pocet_mist_k_parkovani.unset.0 = 'empty<@this> ? @null : @this'
pocet_mist_k_parkovani.unset.1 = 'inList<@propertyType, OBJECTS_FOR_LIVING_AND_RECREATION, BUILDING_SITES, FARM_LANDS> ? @this : @null'

nemovitost_bytu_celkem.column = 'numberOfApartments'
nemovitost_bytu_celkem.table = 'characteristics'
nemovitost_bytu_celkem.type = 'int'
nemovitost_bytu_celkem.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_bytu_celkem.unset.1 = 'inList<@propertyType, OBJECTS_FOR_LIVING_AND_RECREATION, SERVICE_OBJECTS, OTHER_PREMISES> ? @null : @this'

;nemovitost_telekomunikace.column = 'internet'
;nemovitost_telekomunikace.table = 'characteristics'
;nemovitost_telekomunikace.type = 'string'
;nemovitost_telekomunikace.unset = 'inList<@propertyType, PREMISES, BUILDING_SITES, FARM_LANDS> ? substr<@this, 2,1> : @null'
;nemovitost_telekomunikace.value = 'substr<@this, 2,1> ? true : false'

nemovitost_garaz.column = 'garage'
nemovitost_garaz.table = 'characteristics'
nemovitost_garaz.type = 'string'
nemovitost_garaz.unset.0 = '"@this" == -1 || "@this" == "" ? @this : @null'
nemovitost_garaz.unset.1 = 'inList<@propertyType, OBJECTS_FOR_LIVING_AND_RECREATION, OBJECTS_FOR_BUSINESS_AND_SERVICES, OTHER_PREMISES> ? @null : @this'
nemovitost_garaz.convert.0 = 'false'
nemovitost_garaz.convert.1 = 'true'

nemovitost_pocet_podlazi.column = 'floorFrom'
nemovitost_pocet_podlazi.table = 'characteristics'
nemovitost_pocet_podlazi.type = 'int'
nemovitost_pocet_podlazi.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_pocet_podlazi.unset.1 = 'inList<@propertyType, APARTMENTS> ? @null : @this'

podlazi.column = 'floor'
podlazi.table = 'characteristics'
podlazi.type = 'int'
podlazi.unset.0 = 'empty<@this> ? @null : @this'
podlazi.unset.1 = 'inList<@propertyType, APARTMENTS> ? @null : @this'

nemovitost_plocha_uzitna.column = 'entireUsageArea'
nemovitost_plocha_uzitna.table = 'characteristics'
nemovitost_plocha_uzitna.type = 'float'
nemovitost_plocha_uzitna.unset.0 = 'empty<@this> ? @null : @this'
nemovitost_plocha_uzitna.unset.1 = 'inList<@propertyType, OBJECTS_FOR_LIVING_AND_RECREATION> ? @null : @this'

nemovitost_plocha_parcely.column = 'entireEstateArea'
nemovitost_plocha_parcely.table = 'characteristics'
nemovitost_plocha_parcely.type = 'float'
nemovitost_plocha_parcely.value = '@nemovitost_plocha_celkova'
nemovitost_plocha_parcely.unset = 'inList<@propertyType, APARTMENTS, BUSINESS_PREMISES, PREMISES> ? @_convertedValue : @null'

_nemovitost_ostatni_vytah.column = 'elevator'
_nemovitost_ostatni_vytah.table = 'characteristics'
_nemovitost_ostatni_vytah.type = 'string'
_nemovitost_ostatni_vytah.unset = 'inList<@propertyType, APARTMENTS> ? @null : @_convertedValue'
_nemovitost_ostatni_vytah.value = 'substr<@nemovitost_ostatni, 4, 1> ? true : false' ;prevod hodnot z i2 do i1 'vytah' nezna.. adame?

dwellingPartArea.column = 'dwellingPartArea'
dwellingPartArea.table = 'characteristics'
dwellingPartArea.type = 'float'
dwellingPartArea.value = '@nemovitost_plocha_uzitna'
dwellingPartArea.unset.0 = 'empty<@nemovitost_plocha_uzitna> ? @null : @nemovitost_plocha_uzitna'
dwellingPartArea.unset.1 = 'inList<@propertyType, OBJECTS_FOR_LIVING_AND_RECREATION> ? @null : @this'

; tuhle vlastnost u nas nevedem, ale je povinna, takze dame hodnotu 'predbeţný súhlas'
_siteDevelopment.column = 'siteDevelopment'
_siteDevelopment.table = 'characteristics'
_siteDevelopment.type = 'string'
_siteDevelopment.unset = 'inList<@propertyType, BUILDING_SITES> ? @null : @_convertedValue'
_siteDevelopment.value = 'PRIORAPP'

; check
;nemovitost_ostatni_rozvody.column = 'cableTV'
;nemovitost_ostatni_rozvody.table = 'characteristics'
;nemovitost_ostatni_rozvody.type = 'string'
;nemovitost_ostatni_rozvody.unset.0 = 'empty<substr<@this, 0, 1>> ? @null : substr<@this, 0, 1>'
;nemovitost_ostatni_rozvody.unset.1 = 'inList<@propertyType, PREMISES, BUILDING_SITES, FARM_LANDS> ? substr<@this, 0, 1> : @null'
;nemovitost_ostatni_rozvody.value = '"substr<@this, 0, 1>" ? 1 : 0'
;nemovitost_ostatni_rozvody.convert.0 = 'false'
;nemovitost_ostatni_rozvody.convert.1 = 'true'

nemovitost_bazen.column = 'basin'
nemovitost_bazen.table = 'characteristics'
nemovitost_bazen.type = 'string'
nemovitost_bazen.unset.0 = '"@this" == -1 || "@this" == "" ? @this : @null'
nemovitost_bazen.unset.1 = 'inList<@propertyType, OBJECTS_FOR_LIVING_AND_RECREATION, OBJECTS_FOR_BUSINESS_AND_SERVICES, OTHER_PREMISES> ? @null : @this'
nemovitost_bazen.convert.0 = 'false'
nemovitost_bazen.convert.1 = 'true'

nemovitost_druh_objektu.column = 'buildingStructure'
nemovitost_druh_objektu.table = 'characteristics'
nemovitost_druh_objektu.type = 'string'
nemovitost_druh_objektu.unset = 'inList<@propertyType, APARTMENTS> ? @null : @this'
nemovitost_druh_objektu.convert.0 = 'MIXED'
nemovitost_druh_objektu.convert.1 = 'MIXED'
nemovitost_druh_objektu.convert.2 = 'BRICK'
nemovitost_druh_objektu.convert.3 = 'MIXED'
nemovitost_druh_objektu.convert.4 = 'MIXED'
nemovitost_druh_objektu.convert.5 = 'PANEL'
nemovitost_druh_objektu.convert.6 = 'MIXED'
nemovitost_druh_objektu.convert.7 = 'MIXED'

nemovitost_stav_objektu.column = 'objectStatus'
nemovitost_stav_objektu.table = 'characteristics'
nemovitost_stav_objektu.type = 'string'
nemovitost_stav_objektu.unset = 'inList<@propertyType, APARTMENTS, OBJECTS_FOR_LIVING_AND_RECREATION> ? @null : @this'
nemovitost_stav_objektu.convert.1 = 'ORIGINAL'
nemovitost_stav_objektu.convert.2 = 'ORIGINAL'
nemovitost_stav_objektu.convert.3 = 'ORIGINAL'
nemovitost_stav_objektu.convert.4 = 'ORIGINAL'
nemovitost_stav_objektu.convert.5 = 'ORIGINAL'
nemovitost_stav_objektu.convert.6 = 'NEWBUILD'
nemovitost_stav_objektu.convert.7 = 'ORIGINAL'
nemovitost_stav_objektu.convert.8 = 'ORIGINAL'
nemovitost_stav_objektu.convert.9 = 'COMPLETE'
nemovitost_stav_objektu.convert.10 = 'ORIGINAL'

nemovitost_vlastnictvi.column = 'formOfOwnership'
nemovitost_vlastnictvi.table = 'characteristics'
nemovitost_vlastnictvi.type = 'string'
nemovitost_vlastnictvi.convert.1 = 'PERSONAL'
nemovitost_vlastnictvi.convert.2 = 'COOPERAT'
nemovitost_vlastnictvi.convert.3 = 'OTHEROWN'

levelOfQuality.column = 'levelOfQuality'
levelOfQuality.table = 'characteristics'
levelOfQuality.type = 'string'
levelOfQuality.value = '@nemovitost_druh_objektu'
levelOfQuality.unset = 'inList<@propertyType, OBJECTS_FOR_LIVING_AND_RECREATION> ? @null : @nemovitost_druh_objektu'
levelOfQuality.covert.1 = 'CLASSICMAT'
levelOfQuality.covert.2 = 'CLASSICMAT'
levelOfQuality.covert.3 = 'CLASSICMAT'
levelOfQuality.covert.4 = 'PREFHOUSE'
levelOfQuality.covert.5 = 'CLASSICMAT'
levelOfQuality.covert.6 = 'CLASSICMAT'
levelOfQuality.covert.7 = 'CLASSICMAT'

overheadFloor.column = 'overheadFloor'
overheadFloor.table = 'characteristics'
overheadFloor.type = 'string'
overheadFloor.unset = 'inList<@propertyType, APARTMENTS> ? @null : OTHRFL'
overheadFloor.value = 'OTHRFL'

predominantBuildingStructure.column = 'predominantBuildingStructure'
predominantBuildingStructure.table = 'characteristics'
predominantBuildingStructure.type = 'string'
predominantBuildingStructure.value = '@nemovitost_druh_objektu'
predominantBuildingStructure.unset = 'inList<@propertyType, APARTMENTS, BUILDING_SITES, FARM_LANDS> ? @nemovitost_druh_objektu : @null'
predominantBuildingStructure.convert.0 = 'MIXED'
predominantBuildingStructure.convert.1 = 'MIXED'
predominantBuildingStructure.convert.2 = 'BRICK'
predominantBuildingStructure.convert.3 = 'MIXED'
predominantBuildingStructure.convert.4 = 'MIXED'
predominantBuildingStructure.convert.5 = 'PANEL'
predominantBuildingStructure.convert.6 = 'MIXED'
predominantBuildingStructure.convert.7 = 'MIXED'

waterServicePipe_one.column = 'waterServicePipe'
waterServicePipe_one.table = 'characteristics'
waterServicePipe_one.type = 'string'
waterServicePipe_one.value = '1'
waterServicePipe_one.unset = 'inList<@propertyType, BUILDING_SITES> ? @null : 1'
waterServicePipe_one.convert.1 = 'substr(@nemovitost_voda, 0, 1) == 1 ? ONLAND : NONE'

waterServicePipe_two.column = 'waterServicePipe'
waterServicePipe_two.table = 'characteristics'
waterServicePipe_two.type = 'string'
waterServicePipe_two.value = '1'
waterServicePipe_two.unset = 'inList<@propertyType, BUILDING_SITES> ? @null : 1'
waterServicePipe_two.convert.1 = 'substr(@nemovitost_voda, 2, 1) == 1 ? ONLAND : NONE'

waterServicePipe_three.column = 'waterServicePipe'
waterServicePipe_three.table = 'characteristics'
waterServicePipe_three.type = 'string'
waterServicePipe_three.value = '1'
waterServicePipe_three.unset = 'inList<@propertyType, BUILDING_SITES> ? @null : 1'
waterServicePipe_three.convert.1 = 'substr(@nemovitost_voda, 1, 1) == 1 ? WTHNLAND : NONE'

electricConnection.column = 'electricConnection'
electricConnection.table = 'characteristics'
electricConnection.type = 'string'
electricConnection.value = '1'
electricConnection.unset = 'inList<@propertyType, BUILDING_SITES> ? @null : 1'
electricConnection.convert.1 = 'substr(@nemovitost_inzenyrske_site, 3, 1) == 1 ? ONLAND : NONE'

nemovitost_elektrina.column = 'electricConnection'
nemovitost_elektrina.table = 'characteristics'
nemovitost_elektrina.type = 'string'
nemovitost_elektrina.value = '1'
nemovitost_elektrina.unset = 'inList<@propertyType, BUILDING_SITES> ? @null : 1'
nemovitost_elektrina.convert.1 = '@this != 1 ? ONLAND : NONE'

sewerConnection.column = 'sewerConnection'
sewerConnection.table = 'characteristics'
sewerConnection.type = 'string'
sewerConnection.value = '1'
sewerConnection.unset = 'inList<@propertyType, BUILDING_SITES> ? @null : 1'
sewerConnection.convert.1 = 'substr(@nemovitost_inzenyrske_site, 1, 1) == 1 ? ONLAND : NONE'

nemovitost_odpad.column = 'sewerConnection'
nemovitost_odpad.table = 'characteristics'
nemovitost_odpad.type = 'string'
nemovitost_odpad.value = '1'
nemovitost_odpad.unset = 'inList<@propertyType, BUILDING_SITES> ? @null : 1'
nemovitost_odpad.convert.1 = '@this != 1 ? ONLAND : NONE'

gasConnection.column = 'gasConnection'
gasConnection.table = 'characteristics'
gasConnection.type = 'string'
gasConnection.value = '1'
gasConnection.unset = 'inList<@propertyType, BUILDING_SITES> ? @null : 1'
gasConnection.convert.1 = 'substr(@nemovitost_inzenyrske_site, 2, 1) == 1 ? ONLAND : NONE'

nemovitost_plyn.column = 'gasConnection'
nemovitost_plyn.table = 'characteristics'
nemovitost_plyn.value = '1'
nemovitost_plyn.type = 'string'
nemovitost_plyn.unset = 'inList<@propertyType, BUILDING_SITES> ? @null : 1'
nemovitost_plyn.convert.1 = '@this != 1 ? ONLAND : NONE'

nemovitost_uir_stat.column = 'state'
nemovitost_uir_stat.table = 'propertyAddress'
nemovitost_uir_stat.type = 'string'

nemovitost_uir_obec_kod.column = 'city'
nemovitost_uir_obec_kod.table = 'propertyAddress'
nemovitost_uir_obec_kod.type = 'int'

nemovitost_uir_obec_text.column = 'cityName'
nemovitost_uir_obec_text.table = 'propertyAddress'
nemovitost_uir_obec_text.type = 'string'

nemovitost_uir_ulice_kod.column = 'street'
nemovitost_uir_ulice_kod.table = 'propertyAddress'
nemovitost_uir_ulice_kod.type = 'int'
nemovitost_uir_ulice_kod.unset = '@this == 0 ? @this : @null'

nemovitost_uir_ulice_text.column = 'streetName'
nemovitost_uir_ulice_text.table = 'propertyAddress'
nemovitost_uir_ulice_text.type = 'string'

nemovitost_uir_cp.column = 'streetNumber'
nemovitost_uir_cp.table = 'propertyAddress'
nemovitost_uir_cp.type = 'string'

nabidka_gps_x.column = 'lattitude'
nabidka_gps_x.unset = '@this == 0 || @this == '' ? @this : @null'
nabidka_gps_x.type = 'string'
nabidka_gps_x.value = 'degToFloat<@this>'

nabidka_gps_y.column = 'longitude'
nabidka_gps_y.unset = '@this == 0 || @this == '' ? @this : @null'
nabidka_gps_y.type = 'string'
nabidka_gps_y.value = 'degToFloat<@this>'
